## kalgebra 25.08.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "1")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kalgebra VERSION ${RELEASE_SERVICE_VERSION})
set(KF_MIN_VERSION "6.3.0")
set(KDE_COMPILERSETTINGS_LEVEL "6.3.0")
find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMDeprecationSettings)
if (NOT ANDROID)
    include(KDEClangFormat)
    include(KDEGitCommitHooks)
endif()
set(QT_REQUIRED_VERSION "6.5.0")

find_package(Qt6 ${QT_REQUIRED_VERSION} REQUIRED NO_MODULE COMPONENTS Qml Quick Xml Svg PrintSupport Test OpenGLWidgets)
find_package(Analitza6 REQUIRED)

ecm_set_disabled_deprecation_versions(QT 6.8.0
    KF 6.5.0
)


set(MOBILE_BACKEND "kde" CACHE STRING "Backend to install, currently. Check /mobile/plugins/widgets/*")

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})

set(CURSES_NEED_NCURSES TRUE)
find_package(Curses)
find_package(Readline)

ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KALGEBRA VERSION_HEADER kalgebra_version.h)

set_package_properties(Readline PROPERTIES TYPE OPTIONAL
                                           PURPOSE "Allows KAlgebra to provide a console interface."
                                           URL "https://tiswww.case.edu/php/chet/readline/rltop.html")
set_package_properties(Curses PROPERTIES TYPE OPTIONAL
                                         PURPOSE "Allows KAlgebra to provide a console interface."
                                         URL "https://www.gnu.org/software/ncurses/")

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n CoreAddons)
find_package(KF6 ${KF_MIN_VERSION} OPTIONAL_COMPONENTS ConfigWidgets WidgetsAddons KIO DocTools XmlGui)
find_package(Plasma)
find_package(Qt6WebEngineWidgets)

if(KF6DocTools_FOUND AND Qt6WebEngineWidgets_FOUND AND KF6ConfigWidgets_FOUND AND KF6WidgetsAddons_FOUND AND KF6KIO_FOUND AND NOT CMAKE_SYSTEM MATCHES Android*)
    add_subdirectory(src)
endif()

if (Plasma_FOUND AND NOT CMAKE_SYSTEM MATCHES Android*)
    add_subdirectory(plasmoids)
endif()

add_subdirectory(icons)
add_subdirectory(mobile)

if(READLINE_FOUND AND CURSES_FOUND)
    add_subdirectory(calgebra)
endif()

if(KF6DocTools_FOUND)
  add_subdirectory(utils)

  add_custom_target(commandsdoc
    ${CMAKE_CURRENT_BINARY_DIR}/utils/docbook_analitzacommands commands.docbook
    DEPENDS docbook_analitzacommands
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/doc/
    COMMENT "Generating commands docbook information"
  )

  add_subdirectory(doc)
endif()

ki18n_install(po)
if (KF6DocTools_FOUND)
    kdoctools_install(po)
endif()
feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

if (NOT ANDROID)
    file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h mobile/*.cpp mobile/*.h utils/*.cpp utils/*.h)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()

=== calgebra/CMakeLists.txt ===
include(CheckFunctionExists)
include(CMakePushCheckState)

include_directories(${READLINE_INCLUDE_DIR} ${CURSES_INCLUDE_DIR})

# check if we have recent version of Readline
cmake_push_check_state(RESET)
set(CMAKE_REQUIRED_LIBRARIES ${READLINE_LIBRARY} ${CURSES_LIBRARIES})
check_function_exists(free_history_entry HAVE_FREE_HISTORY_ENTRY)
cmake_pop_check_state()
if(HAVE_FREE_HISTORY_ENTRY)
    add_definitions(-DHAVE_FREE_HISTORY_ENTRY)
endif()

add_executable(calgebra main.cpp)
target_link_libraries(calgebra Qt::Core ${READLINE_LIBRARY} KF6::Analitza)

install(TARGETS calgebra ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kalgebra (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:06:14 +0100

=== debian/control ===
Source: kalgebra
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-apparmor,
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.3.0~),
               kirigami-addons-dev,
               libanalitza-dev (>= 4:25.08.1~),
               libgl-dev,
               libglu-dev,
               libkf6configwidgets-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               libncurses-dev,
               libplasma-dev,
               libreadline-dev,
               pkgconf,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
               qt6-webengine-dev (>= 6.5.0~) [amd64 arm64 armhf i386],
Standards-Version: 4.7.0
Homepage: https://edu.kde.org/kalgebra
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalgebra
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalgebra
Rules-Requires-Root: no

Package: kalgebra
Architecture: amd64 arm64 armhf i386
Section: math
Depends: kalgebra-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: kalgebra-plasmoid
Conflicts: calgebra,
Description: algebraic graphing calculator
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language.
 .
 This package is part of the KDE education module.

Package: kalgebra-common
Architecture: all
Multi-Arch: foreign
Section: math
Depends: ${misc:Depends},
Description: contains files common for kalgebra and kalgebramobile
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language and it contains files needed for both full and mobile
 versions.
 .
 This package is part of the KDE education module.

Package: kalgebra-plasmoid
Architecture: any
Depends: kalgebra-common (= ${source:Version}),
         ${qml6:Depends},
         ${misc:Depends},
Enhances: plasma-desktop
Breaks: kalgebra-common (<< 4:24.08.3)
Replaces: kalgebra-common (<< 4:24.08.3)
Description: Widget for Plasma desktop for kalgebra and kalgebramobile
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language and it contains files needed for both full and mobile
 versions.
 .
 This package ship the Plasmoid for the Plasma desktop.

Package: kalgebramobile
Architecture: any
Section: math
Depends: kalgebra-common (= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Suggests: kalgebra-plasmoid
Description: algebraic graphing calculator for small touch based interfaces
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language. This is the version for small touch based interfaces
 .
 This package is part of the KDE education module.

## kalgebra 25.08.1+p24.04+vstable+git20250909.1358

=== debian/changelog ===
kalgebra (4:25.08.1+p24.04+vstable+git20250909.1358-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 13:58:18 +0000

kalgebra (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:34:44 +0000

kalgebra (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 13:09:13 +0000

kalgebra (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:52:10 +0000

kalgebra (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:59:44 +0000

kalgebra (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:50:00 +0000

kalgebra (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:38:36 +0000

kalgebra (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Mar 2025 13:28:31 +1000

kalgebra (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:06:38 +0000

kalgebra (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:56:29 +0000

kalgebra (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:54:17 +0000

kalgebra (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:54:08 +0000

kalgebra (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:32:04 +0000

kalgebra (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:07:06 +0000

kalgebra (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 12:15:30 +0000

kalgebra (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:51:50 +0000

kalgebra (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:17:02 +0000

kalgebra (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:04:37 +0000

kalgebra (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 14:58:58 +0000

kalgebra (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:39:50 +0000

kalgebra (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 16:38:56 +0000

kalgebra (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:16:27 +0000

kalgebra (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 20:42:37 +0000

kalgebra (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:45:46 +0000

kalgebra (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 11:34:02 +0000

kalgebra (4:23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:13:35 +0000

kalgebra (4:23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2023 15:48:19 +0000

kalgebra (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:01:56 +0000

kalgebra (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:33:22 +0000

kalgebra (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:08:03 +0000

kalgebra (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:15:36 +0000

kalgebra (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:36:58 +0000

kalgebra (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Sep 2022 12:26:42 +0000

kalgebra (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:39:43 +0000

kalgebra (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:26:28 +0000

kalgebra (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:50:07 +0000

kalgebra (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:44:56 +0000

kalgebra (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 12:58:12 +0000

kalgebra (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 10:59:20 +0000

kalgebra (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 12:05:19 +0000

kalgebra (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Nov 2021 16:44:46 +0000

kalgebra (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Oct 2021 13:02:04 +0000

kalgebra (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:31:29 +0000

kalgebra (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:28:07 +0000

kalgebra (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:49:27 +0000

kalgebra (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:21:21 +0000

kalgebra (4:21.04.1-0neon) focal; urgency=medium



## kalgebra 25.08.1+p24.04+vstable+git20251001.1158

=== debian/changelog ===
kalgebra (4:25.08.1+p24.04+vstable+git20251001.1158-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 11:58:06 +0000

## kalgebra 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kalgebra VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kalgebra (4:25.08.2-0ubuntu2) resolute; urgency=medium

  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 16:30:24 +0100

kalgebra (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:40:41 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.3.0~),
                kirigami-addons-dev,
-               libanalitza-dev (>= 4:25.08.1~),
+               libanalitza-dev (>= 4:25.08.2~),
                libgl-dev,
                libglu-dev,
                libkf6configwidgets-dev (>= 6.3.0~),

## kalgebra 25.08.2+p24.04+vstable+git20251012.0459

=== debian/changelog ===
kalgebra (4:25.08.2+p24.04+vstable+git20251012.0459-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 04:59:12 +0000

kalgebra (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 04:50:17 +0000

## kalgebra 25.08.2+p24.04+vstable+git20251019.0342

=== debian/changelog ===
kalgebra (4:25.08.2+p24.04+vstable+git20251019.0342-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:42:25 +0000

=== debian/control ===
Source: kalgebra
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfigwidgets-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kwidgetsaddons-dev,
               libanalitza-dev,
               libgl-dev,
               libglu1-mesa-dev,
               libncurses-dev,
               libplasma-dev,
               libreadline-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev,
               qt6-webengine-dev [amd64 arm64 armhf i386 mipsel]
Standards-Version: 4.6.2
Homepage: http://edu.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/kalgebra.git
Vcs-Browser: https://invent.kde.org/neon/kde/kalgebra
Maintainer: Neon CI <neon@kde.org>

Package: kalgebra
Architecture: amd64 arm64 armhf i386 mipsel
Section: math
Depends: kalgebra-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: calgebra
Description: algebraic graphing calculator
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language.
 .
 This package is part of the KDE education module.

Package: kalgebra-common
Architecture: amd64 arm64 armhf i386 mipsel
Section: math
Depends: libplasma6,
         qml6-module-org-kde-analitza,
         ${misc:Depends},
         ${shlibs:Depends}
Description: contains files common for kalgebra and kalgebramobile
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language and it contains files needed for both full and mobile
 versions.
 .
 This package is part of the KDE education module.

Package: kalgebramobile
Architecture: any
Section: math
Depends: kalgebra-common (= ${binary:Version}) [amd64 arm64 armhf i386 mipsel],
         libplasma6,
         qml6-module-org-kde-kirigami2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: algebraic graphing calculator for small touch based interfaces
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language. This is the version for small touch based interfaces
 .
 This package is part of the KDE education module.

## kalgebra 25.08.2+p24.04+vstable+git20251031.0834

=== debian/changelog ===
kalgebra (4:25.08.2+p24.04+vstable+git20251031.0834-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 08:34:43 +0000

## kalgebra 25.08.2+p24.04+vunstable+git20251012.0459

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kalgebra VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kalgebra (4:25.08.2+p24.04+vunstable+git20251012.0459-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 04:59:17 +0000

## kalgebra 25.08.2+p24.04+vunstable+git20251020.1058

=== debian/changelog ===
kalgebra (4:25.08.2+p24.04+vunstable+git20251020.1058-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 10:58:47 +0000

## kalgebra 25.08.3

=== debian/changelog ===
kalgebra (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:21:41 +0000

=== debian/control ===
Source: kalgebra
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-apparmor,
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.3.0~),
               kirigami-addons-dev,
               libanalitza-dev (>= 4:25.08.3~),
               libgl-dev,
               libglu-dev,
               libkf6configwidgets-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               libncurses-dev,
               libplasma-dev,
               libreadline-dev,
               pkgconf,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
               qt6-webengine-dev (>= 6.5.0~) [amd64 arm64 armhf i386],
Standards-Version: 4.7.0
Homepage: https://edu.kde.org/kalgebra
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalgebra
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalgebra
Rules-Requires-Root: no

Package: kalgebra
Architecture: amd64 arm64 armhf i386
Section: math
Depends: kalgebra-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: kalgebra-plasmoid
Conflicts: calgebra,
Description: algebraic graphing calculator
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language.
 .
 This package is part of the KDE education module.

Package: kalgebra-common
Architecture: all
Multi-Arch: foreign
Section: math
Depends: ${misc:Depends},
Description: contains files common for kalgebra and kalgebramobile
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language and it contains files needed for both full and mobile
 versions.
 .
 This package is part of the KDE education module.

Package: kalgebra-plasmoid
Architecture: any
Depends: kalgebra-common (= ${source:Version}),
         ${qml6:Depends},
         ${misc:Depends},
Enhances: plasma-desktop
Breaks: kalgebra-common (<< 4:24.08.3)
Replaces: kalgebra-common (<< 4:24.08.3)
Description: Widget for Plasma desktop for kalgebra and kalgebramobile
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language and it contains files needed for both full and mobile
 versions.
 .
 This package ship the Plasmoid for the Plasma desktop.

Package: kalgebramobile
Architecture: any
Section: math
Depends: kalgebra-common (= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Suggests: kalgebra-plasmoid
Description: algebraic graphing calculator for small touch based interfaces
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language. This is the version for small touch based interfaces
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

webengine_archs := amd64 arm64 armhf i386

%:
	dh $@

ifneq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),$(webengine_archs)))
override_dh_auto_configure:
	dh_auto_configure --buildsystem=kf6 -- -DMOBILE_BACKEND="none"
endif

override_dh_auto_install:
	mkdir -p debian/tmp/etc/apparmor.d
	cp debian/kalgebra-apparmor debian/tmp/etc/apparmor.d/usr.bin.kalgebra
	dh_auto_install
	dh_apparmor --profile-name=usr.bin.kalgebra -pkalgebra

## kalgebra 25.08.3+p24.04+vunstable+git20251201.0257

=== debian/changelog ===
kalgebra (4:25.08.3+p24.04+vunstable+git20251201.0257-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 02:57:37 +0000

kalgebra (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:34:59 +1000

## kalgebra 25.08.3+p24.04+vunstable+git20251206.0817

=== debian/changelog ===
kalgebra (4:25.08.3+p24.04+vunstable+git20251206.0817-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 08:17:58 +0000

## kalgebra 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kalgebra VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kalgebra (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:54:15 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.3.0~),
                kirigami-addons-dev,
-               libanalitza-dev (>= 4:25.08.3~),
+               libanalitza-dev (>= 4:25.11.80~),
                libgl-dev,
                libglu-dev,
                libkf6configwidgets-dev (>= 6.3.0~),

## kalgebra 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kalgebra VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kalgebra (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:00:26 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.3.0~),
                kirigami-addons-dev,
-               libanalitza-dev (>= 4:25.11.80~),
+               libanalitza-dev (>= 4:25.11.90~),
                libgl-dev,
                libglu-dev,
                libkf6configwidgets-dev (>= 6.3.0~),

## kalgebra 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kalgebra VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kalgebra (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:15:47 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.3.0~),
                kirigami-addons-dev,
-               libanalitza-dev (>= 4:25.11.90~),
+               libanalitza-dev (>= 4:25.12.0~),
                libgl-dev,
                libglu-dev,
                libkf6configwidgets-dev (>= 6.3.0~),

## kalgebra 25.12.0+p24.04+vstable+git20251215.0454

=== debian/changelog ===
kalgebra (4:25.12.0+p24.04+vstable+git20251215.0454-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 15 Dec 2025 04:54:54 +0000

kalgebra (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:30:53 +1000

## kalgebra 25.12.1

=== debian/changelog ===
kalgebra (4:25.12.1-0ubuntu2) resolute; urgency=medium

  * Add amd64v3 to build architectures.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Jan 2026 08:47:10 +0000

kalgebra (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:58:58 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.3.0~),
                kirigami-addons-dev,
-               libanalitza-dev (>= 4:25.12.0~),
+               libanalitza-dev (>= 4:25.12.1~),
                libgl-dev,
                libglu-dev,
                libkf6configwidgets-dev (>= 6.3.0~),
@@ -36,7 +36,7 @@
 Rules-Requires-Root: no
 
 Package: kalgebra
-Architecture: amd64 arm64 armhf i386
+Architecture: amd64 amd64v3 arm64 armhf i386
 Section: math
 Depends: kalgebra-common (= ${source:Version}),
          ${misc:Depends},

## kalgebra 25.12.1+p24.04+vstable+git20260127.0946

=== debian/changelog ===
kalgebra (4:25.12.1+p24.04+vstable+git20260127.0946-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 27 Jan 2026 09:46:49 +0000

kalgebra (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:19:24 +1000

=== debian/control ===
Source: kalgebra
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfigwidgets-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami-dev,
               kf6-kwidgetsaddons-dev,
               libanalitza-dev,
               libgl-dev,
               libglu1-mesa-dev,
               libncurses-dev,
               libplasma-dev,
               libreadline-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev,
               qt6-webengine-dev [amd64 arm64 armhf i386 mipsel]
Standards-Version: 4.6.2
Homepage: http://edu.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/kalgebra.git
Vcs-Browser: https://invent.kde.org/neon/kde/kalgebra
Maintainer: Neon CI <neon@kde.org>

Package: kalgebra
Architecture: amd64 arm64 armhf i386 mipsel
Section: math
Depends: kalgebra-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: calgebra
Description: algebraic graphing calculator
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language.
 .
 This package is part of the KDE education module.

Package: kalgebra-common
Architecture: amd64 arm64 armhf i386 mipsel
Section: math
Depends: libplasma6,
         qml6-module-org-kde-analitza,
         ${misc:Depends},
         ${shlibs:Depends}
Description: contains files common for kalgebra and kalgebramobile
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language and it contains files needed for both full and mobile
 versions.
 .
 This package is part of the KDE education module.

Package: kalgebramobile
Architecture: any
Section: math
Depends: kalgebra-common (= ${binary:Version}) [amd64 arm64 armhf i386 mipsel],
         libplasma6,
         qml6-module-org-kde-kirigami2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: algebraic graphing calculator for small touch based interfaces
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language. This is the version for small touch based interfaces
 .
 This package is part of the KDE education module.

## kalgebra 25.12.1+p24.04+vstable+git20260131.0442

=== debian/changelog ===
kalgebra (4:25.12.1+p24.04+vstable+git20260131.0442-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 04:42:10 +0000

## kalgebra 25.12.1+p24.04+vunstable+git20260127.0914

=== debian/changelog ===
kalgebra (4:25.12.1+p24.04+vunstable+git20260127.0914-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 27 Jan 2026 09:14:11 +0000

## kalgebra 25.12.1+p24.04+vunstable+git20260131.0153

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kalgebra VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kalgebra (4:25.12.1+p24.04+vunstable+git20260131.0153-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 01:53:22 +0000

## kalgebra 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kalgebra VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kalgebra (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:18:45 +0000

kalgebra (4:25.12.1-0ubuntu3) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:44:34 +0000

=== debian/control ===
Source: kalgebra
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-apparmor,
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.3.0~),
               kirigami-addons-dev,
               libanalitza-dev (>= 4:25.12.2~),
               libgl-dev,
               libglu-dev,
               libkf6configwidgets-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               libncurses-dev,
               libplasma-dev,
               libreadline-dev,
               pkgconf,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
               qt6-webengine-dev (>= 6.5.0~) [amd64 arm64 armhf i386],
Standards-Version: 4.7.0
Homepage: https://edu.kde.org/kalgebra
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalgebra
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalgebra
Rules-Requires-Root: no

Package: kalgebra
Architecture: amd64 amd64v3 arm64 armhf i386
Section: math
Depends: kalgebra-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: kalgebra-plasmoid
Conflicts: calgebra,
Description: algebraic graphing calculator
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language.
 .
 This package is part of the KDE education module.

Package: kalgebra-common
Architecture: all
Multi-Arch: foreign
Section: math
Depends: ${misc:Depends},
Description: contains files common for kalgebra and kalgebramobile
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language and it contains files needed for both full and mobile
 versions.
 .
 This package is part of the KDE education module.

Package: kalgebra-plasmoid
Architecture: any
Depends: kalgebra-common (= ${source:Version}),
         ${qml6:Depends},
         ${misc:Depends},
Enhances: plasma-desktop
Breaks: kalgebra-common (<< 4:24.08.3)
Replaces: kalgebra-common (<< 4:24.08.3)
Description: Widget for Plasma desktop for kalgebra and kalgebramobile
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language and it contains files needed for both full and mobile
 versions.
 .
 This package ship the Plasmoid for the Plasma desktop.

Package: kalgebramobile
Architecture: any
Section: math
Depends: kalgebra-common (= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Suggests: kalgebra-plasmoid
Description: algebraic graphing calculator for small touch based interfaces
 KAlgebra is a algebraic graphing calculator with support for 3D graphing and
 MathML markup language. This is the version for small touch based interfaces
 .
 This package is part of the KDE education module.
